/***************** SET NULL ***********************/

drop table posts; 
drop table users;

create table users (
  id int primary key,
  name varchar(30)
  );
 
create table posts (
  id int primary key,
  author int,
  text varchar(30),
  constraint authors FOREIGN KEY(author)
    REFERENCES users(id) ON DELETE SET NULL
  );
  
insert into users(id, name) values (1, 'Michal');
insert into users(id, name) values (2, 'Milan');
insert into users(id, name) values (3, 'Matej');
insert into users(id, name) values (4, 'Maros');

insert into posts(id, author, text) values (1, 2, 'Hola');
insert into posts(id, author, text) values (2, 3, 'Hey');

/** neplatny insert - user s id 13 neexistuje */
insert into posts(id, author, text) values (3, 13, 'Hola');

/** neplatny update - user s id 13 neexistuje */
update posts set author = 13 where id = 1;

/** neplatny update - user s id 2 ma post, ktory by osirotel (SET NULL je nastaveny na DELETE, nie na UPDATE - v Oracle nepodporovane) */
update users set id = 13 where id = 2;

/** PLATNY delete - posty usera s id 2 sa stanu sirotami (ich author sa nastavi NULL) */
delete from users where id = 2;
